Use RZ_DICOM_HL7;

INSERT INTO N_PATIENT
           ( 
           patient_id
           ,patient_name
           ,birth_date
           ,sex)
     VALUES
           (
           '123456789'
           ,'AB^CD'
           ,'1956-01-01'
           ,'M');
     
     SET @patId = LAST_INSERT_ID();

INSERT INTO SERVICE_REQUEST
           (
           accession_number
           ,referring_physicians_names
           ,requesting_physician)
     VALUES
           (
           'RRZ000000000001'
           ,'Physician^Referring'
           ,'Physician^Requesting');

SET @servId = LAST_INSERT_ID();


INSERT INTO REQUESTED_PROCEDURE
           (
           study_instance_uid
           ,req_proc_desc
           ,service_request_id
           ,patient_internal_id)
     VALUES
           (
           '1.2.3.4.5.6.7.8'
           ,'Requested procedure description'
           ,@servId
           ,@patId);
           
           SET @procId = LAST_INSERT_ID();

INSERT INTO SCHED_PROC_STEP
           (
           modality
           ,scheduled_station_ae_title
           ,start_date_time
           ,end_date_time
           ,perf_phys_name
           ,sched_proc_step_desc
           ,sched_proc_step_id
           ,req_proc_id)
     VALUES
           (
           'CR'
           ,'TESTCR'
           ,'2016-02-01 16:30:00.000'
           ,'2016-02-01 17:00:00.000'
           ,'Performing Physician Name'
           ,'Secheduled Procedure Step Description'
           ,'SPSID1'
           ,@procId
);



